#Dwarf Caves stairs (down)
from eventAPI import showPicture, tickGame, setExit, getTag
from APIUtils import poseYesNo, showMessage

def fireEvent(e):
    DwarfPlt = getTag(e, "DwarfPlt1")
    if(DwarfPlt < 2):
        showPicture(e, "Dwarf")
        showMessage(e,
            ["I'm sorry but this cave has been declared unsafe by her highness Almara.",
             "You may not enter."])
        return 0

    showPicture(e, "Stairs_D")
    if (poseYesNo(e,
        ["You feel a hot wind whipping across your face as you peer down into the tunnel",
         "Your heart skips a beat wondering about what must lie below.",
         "Do you go down?"])):
        tickGame(e, 120)
        setExit(e, "maps/cave.cfg", 1, 1, 0)
